[arch-commits] Commit in qtscriptgenerator/trunk (2 files)

Eric Bélanger eric at archlinux.org
Sat Jan 23 00:26:51 EST 2010


    Date: Saturday, January 23, 2010 @ 00:26:51
  Author: eric
Revision: 64917

upgpkg: qtscriptgenerator 0.1.0-2
    Rebuilt for libpng 1.4 and libjpeg 8

Added:
  qtscriptgenerator/trunk/qtscriptgenerator-gcc44.patch
Modified:
  qtscriptgenerator/trunk/PKGBUILD

-------------------------------+
 PKGBUILD                      |   13 +++++++++----
 qtscriptgenerator-gcc44.patch |   15 +++++++++++++++
 2 files changed, 24 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-23 03:13:58 UTC (rev 64916)
+++ PKGBUILD	2010-01-23 05:26:51 UTC (rev 64917)
@@ -3,7 +3,7 @@
 
 pkgname=qtscriptgenerator
 pkgver=0.1.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Script generator for qt"
 arch=("i686" "x86_64")
 url="http://code.google.com/p/qtscriptgenerator/"
@@ -11,9 +11,16 @@
 depends=('qt>=4.5.0-4' 'phonon')
 makedepends=('pkgconfig')
 source=(http://qtscriptgenerator.googlecode.com/files/qtscriptgenerator-src-0.1.0.tar.gz
-        phonon.patch)
+        phonon.patch
+        qtscriptgenerator-gcc44.patch)
+md5sums=('ca4046ad4bda36cd4e21649d4b98886d' 'c0266892ecc645b3407f2203ee11a808'\
+         'a3d48d6a3cfdd9be397bef01d3e4f638')
+sha1sums=('eeae733106369e289f257b754822bc372fd6ba75' '3dcbeb2b4604b10d4fe449affdcc61306d642eca'\
+         '87cd599403fa9bb441ddc27c77e0b6242e2cc150')
+
 build() {
   cd $srcdir/$pkgname-src-$pkgver/generator
+  patch -p1 -i $srcdir/qtscriptgenerator-gcc44.patch || return 1
   # prepare plugins
   patch -Np2 -i $srcdir/phonon.patch || return 1
   qmake || return 1
@@ -27,5 +34,3 @@
   mkdir -p $pkgdir/usr/lib/qt/plugins/script
   mv $srcdir/$pkgname-src-$pkgver/plugins/script/* $pkgdir/usr/lib/qt/plugins/script/
 }
-md5sums=('ca4046ad4bda36cd4e21649d4b98886d'
-         'c0266892ecc645b3407f2203ee11a808')

Added: qtscriptgenerator-gcc44.patch
===================================================================
--- qtscriptgenerator-gcc44.patch	                        (rev 0)
+++ qtscriptgenerator-gcc44.patch	2010-01-23 05:26:51 UTC (rev 64917)
@@ -0,0 +1,15 @@
+# Patch from upstream bug tracker:
+# http://code.google.com/p/qtscriptgenerator/issues/detail?id=37
+# So far (2009-06-12) this has not been applied at upstream git repo
+
+diff -uNr generator.orig/parser/rpp/pp.h generator/parser/rpp/pp.h
+--- generator.orig/parser/rpp/pp.h	2008-12-05 11:01:44.000000000 +0100
++++ generator/parser/rpp/pp.h	2008-12-13 10:42:22.000000000 +0100
+@@ -30,6 +30,7 @@
+ #include <cctype>
+
+ #include <fcntl.h>
++#include <cstdio>
+
+ #ifdef HAVE_MMAP
+ #  include <sys/mman.h>



More information about the arch-commits mailing list